## gmime-filter-md5

gmime-filter-md5 —

## Synopsis

    struct      GMimeFilterMd5;
    GMimeFilter* g_mime_filter_md5_new          (void);
    void        g_mime_filter_md5_get_digest    (GMimeFilterMd5 *md5,
                                                 unsigned char digest[16]);

## Object Hierarchy

      GObject
       +----GMimeFilter
             +----GMimeFilterMd5

## Description

## Details

### struct GMimeFilterMd5

    struct GMimeFilterMd5;

### g_mime_filter_md5_new ()

    GMimeFilter* g_mime_filter_md5_new          (void);

Creates a new Md5 filter.

Returns : | a new Md5 filter.

### g_mime_filter_md5_get_digest ()

    void        g_mime_filter_md5_get_digest    (GMimeFilterMd5 *md5,
                                                 unsigned char digest[16]);

Outputs the md5 digest into `digest`.

`md5` : | md5 filter object
`digest` : | output buffer of at least 16 bytes